=== debian/changelog ===
kst (2.0.8-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Removed duplicate entry in d/copyright.
  * Updated lintian overrides for source for accuracty and new format.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 30 Apr 2024 14:51:55 +0200

kst (2.0.8-5) unstable; urgency=medium

  * QA upload.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/patches: Add upstream patches to fix FTBFS with CMake 3.20
    and Qt 5.15. (Closes: #997402)
  * debian/changelog: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Nov 2021 15:21:57 -0500

kst (2.0.8-4) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to provide full GCC hardening.
      - Fix a FTCBFS. Added QT_SELECT variable to build package with QT tools.
        Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #938942)
      - Removed DEB_LDFLAGS_MAINT_APPEND variable because '-Wl,--as-needed'
        linker flag is unnecessary because it is default to debian 11 or later.
      - Removed '--parallel' argument passed to dh because it is default since
        DH level 10.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 11 Aug 2020 11:50:29 -0300

kst (2.0.8-3) unstable; urgency=medium

  * QA upload.
  * Add upstream_Fix-build-with-Qt-5.11.patch to fix build with recent
    Qt version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Aug 2018 21:02:45 +0200

kst (2.0.8-2) unstable; urgency=low

  * QA upload.
  * Switch to Qt5. (Closes: #874994)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Nov 2017 14:13:26 +0200

kst (2.0.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update watch file, to consider also "Kst"-named tarballs.
  * Update the patches:
    - hyphen-used-as-minus-sign.diff: replace with upstream commit
      66b254a9a553d83c8d3681cc5f3910496defaca0; patch
      upstream_Fix-hypens-used-as-minus-signs.patch
    - fix-qreal-vs-double-for-arm.diff: drop, obsolete
    - fix-cmake-3.0.diff: replace with upstream commit
      ced703c13f4e9ffe161e7e3c99931c235a27a6b9; patch
      upstream_Guard-against-empty-cmake-generator-expressions.patch
    - gsl-2.0-ftbfs: refresh
    - cmake-fix-version.diff: drop, no more needed
    - qreal-fixes-extra.diff: drop, obsolete
  * Do not pass --sourcedirectory=cmake to dh anymore, since the cmake build
    system is on the top-level now.
  * Add the qt4-dev-tools build dependency, needed to build the translations.
  * Backport upstream commits 16d4aea302e9f9eeca86e3ad72f448b8303d31b5 and
    1365ccf2fd2da59025be623b97b7207f95ba8884 to fix all the qreal/double
    issues; patches upstream_Fix-some-qreal-issues.patch and
    upstream_Fix-another-qreal-double-issue.patch.
  * Small copyright updates.
  * Backport upstream commit 9d03b1a9e92d8212e7c7729d49704de3f75360ee to add
    the %f placeholder to the Exec key in the desktop file; patch
    upstream_desktop-add-f-placeholder-for-Exec.patch.
  * Update lintian overrides.
  * Stop shipping the kde3 mime type file (which is even installed in the
    wrong directory).

 -- Pino Toscano <pino@debian.org>  Sat, 01 Jul 2017 18:06:44 +0200

kst (2.0.6-2) unstable; urgency=medium

  * QA upload.
  * Fix more qreal issues on armel/armhf/sh4; patch qreal-fixes-extra.diff.
    (Closes: #866370)

 -- Pino Toscano <pino@debian.org>  Thu, 29 Jun 2017 19:59:24 +0200

kst (2.0.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release:
    - provides a menu icon (LP: #926816)
  * Update the patches:
    - desktop-entry-lacks-main-category.diff: drop, no more needed
    - desktop-entry-contains-encoding-key.diff: drop, fixed upstream
    - hyphen-used-as-minus-sign.diff: refresh
    - fix-qreal-vs-double-for-arm.diff: refresh
    - fix-cmake-3.0.diff: refresh
    - gsl-2.0-ftbfs: refresh
  * Pass -Dkst_svnversion=OFF to cmake, as there is no svn available during
    the build.
  * Add more build dependencies:
    - pkg-config: already implicitly used
    - libmatio-dev: to enable more features
  * Enable parallel build.
  * Fix the version reported when building with cmake; patch
    cmake-fix-version.diff.
  * Fold the libkst2core2, libkst2math2, and libkst2widgets2 binaries in the
    kst binary: they are private libraries, with no real development stuff
    associated. (LP: #1155122)
  * Fold the kst-data binary into the kst binary, as there are not many data
    left there (less than 400KB, compared to 10+MB of kst).
  * Directly install to the kst destdir, since all the files go there now:
    - remove unneeded files, such as development symlinks and static libraries
  * Stop shipping the kde3 menu file.
  * Update lintian overrides.
  * Add "Multi-Arch: foreign" in kst-doc, for what is worth...
  * Update Homepage field.
  * Do not compress the examples in kst-doc, since there is not much space
    gain.
  * Small copyright updates.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Jun 2017 20:14:59 +0200

kst (2.0.3-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Bump Standards-version to 3.9.6, no changes needed.

  [ Ian Lane ]
  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

