=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- -Dkst_install_prefix=/usr -Dkst_verbose=ON -Dkst_rpath=OFF -Dkst_svnversion=OFF -Dkst_qt5=ON

override_dh_auto_build:
	xsltproc -o docbook/kst/tutorial/ /usr/share/xml/docbook/stylesheet/docbook-xsl/html/chunk.xsl docbook/kst/tutorial/tutorial.docbook
	dh_auto_build -Scmake

override_dh_auto_clean:
	find docbook/kst/tutorial/ -name '*.html' -exec rm {} \;
	dh_auto_clean -Scmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/kst
	# remove development symlinks
	find debian/kst -name '*.so' -type l -print -delete
	# remove development static libraries
	find debian/kst -name '*.a' -print -delete
	# remove kde3 menu file
	rm -rfv debian/kst/usr/share/applnk
	# remove kde3 mime type
	rm -rfv debian/kst/usr/share/mimelink

override_dh_compress:
	dh_compress -X'/examples/'
