=== debian/watch ===
version=3
http://sf.net/kst/(?:kst|Kst)-(.*)\.tar\.gz
